Bug 1047060 - Bug in src/spicelib/analysis/dctran.c
Summary: Bug in src/spicelib/analysis/dctran.c
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ngspice
Version: 18
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 18:58 UTC by Fabrice Salvaire
Modified: 2014-02-05 22:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:37:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1047065 0 unspecified CLOSED Review compilation options 2021-02-22 00:41:40 UTC

Internal Links: 1047065

Description Fabrice Salvaire 2013-12-28 18:58:03 UTC
Description of problem:

These lines in src/spicelib/analysis/dctran.c broke ngspice in server mode since they write on stdout at the same time than the function src/frontend/outitf.c:OUTpData that write the output in binary mode:

#ifdef NDEV
                /* show a time process indicator, by Gong Ding, gdiso@ustc.edu */
                if(ckt->CKTtime/ckt->CKTfinalTime*100<10.0)
                    printf("%%%3.2lf\b\b\b\b\b",ckt->CKTtime/ckt->CKTfinalTime*100);
                else  if(ckt->CKTtime/ckt->CKTfinalTime*100<100.0)
                    printf("%%%4.2lf\b\b\b\b\b\b",ckt->CKTtime/ckt->CKTfinalTime*100);
                else
                    printf("%%%5.2lf\b\b\b\b\b\b\b",ckt->CKTtime/ckt->CKTfinalTime*100);
                fflush(stdout);
#endif

The serialised double array is thus spoiled by many "%xx.xx\b\b\b\n". 

They are only included if we enable ndev.

I suggest to remove these lines by applying a patch.

Comment 1 Fabrice Salvaire 2013-12-28 19:00:58 UTC
ngspice-25 is also affected by this bug.

Comment 2 Fedora End Of Life 2014-02-05 22:37:18 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.